Subject: [Ltru] [OT] Linguasphere

From: "L.Gillam" <[email-masked]>
Date: Wed, 13 Apr 2005 12:00:28 +0100

Peter,

It appears we differ on the use of the fuzzy values "somewhat" and "highly". 
OTOH, we agree on the use of the word "interoperable", which is a good 
starting point, and your valuable analysis below will help to show the extent
to which mappings can be made.

If we select definitions for interoperable, say:
"For the purposes of this document, "interoperable" means to be able to 
interoperate over a data communications path."
www.zvon.org/tmRFC/RFC2026/Output/chapter14.html

or the OED: "Able to operate in conjunction"

then the question, as I see it is:
	"where can they operate in conjunction, and to what extent".

Let me generalise slightly to systems A and B:
Where there is no overlap between A and B, conjunction is made using items from either A or 
B.
Where one can interleave (consider e.g. animal -> dog vs. animal -> mammal -> canine -> dog) 
there is good interoperability - data loss would occur in interchange in 1 direction,
but the systems can be used in conjunction. 
Where mappings can be created in one direction via generalisation, the systems can interoperate.
A similar data interchange issue exists.
Where there is good overlap, there is good interoperability and good interchange.
Interoperability can provide the best (and worst) of both worlds (systems).

For me, such characteristics indicate a high degree (highly) rather than a small degree (somewhat)
of interoperability. I'm willing to concede the adverb, for the time being, if you can put better
values to "somewhat" and "highly" that we can standardi(s|z)e  :-) 

I have left aside the specific details of mappings etc., with respect to Debbie's response
about the 2000 vs current situation. Suffice to say that e.g. something like
/abcd = Afro-Asiatic/ <- /efgh = Coptic/ would be the resulting parent/child relationship
from below, where /efgh = Coptic/ satisfies characteristics at each level of a model of
zone / set / chain / net / (outer) language. Essentially, there are abstract intermediate 
concepts for which no name exists ("turtles all the way down"). Hopefully Debbie can 
point to any gross oversimplification I've made here. If Coptic is valid in one system, 
with no entry in another, the two will operate well in conjunction.

Best Regards.

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On
> Behalf Of Peter Constable
> Sent: 12 April 2005 18:22
> To: ltru
> Subject: [Ltru] [slightly OT] Linguasphere (was Great Script 
> Debate Part
> II: Formats...)
> 
> 
> > From: [email-masked] 
> [mailto:[email-masked]]
> On
> > Behalf Of L.Gillam
> 
> 
> > The upper layers of the Linguasphere and what is proposed for 639-5
> are,
> > based on a small sample, highly interoperable.
> 
> This is slightly overstated, I think. 
> 
> Linguasphere's upper-layer analysis divides the world into 
> ten buckets.
> Five correspond to linguistic phyla (which are genetic 
> classifications),
> and five correspond to regions of the world. 
> 
> For the five genetic buckets, the upper layers are somewhat, but not
> highly, interoperable with 639-5. There are a couple of factors that
> limit the extent to which the two align. 
> 
> First, you need to ignore several of Linguasphere's
> artificially-constructed categories which are necessitated by fitting
> everything into its model, which requires every language to be in some
> net in some chain in some set in some zone in the given 
> sector (phylum).
> For instance, the analysis for Coptic is:
> 
> sector / zone / set / chain / net / (outer) language = 
> Afro-Asiatic / Coptic / Coptic / Coptic / Coptic / Coptic
> 
> You won't find an entry for Coptic in the draft table for 639-5.
> 
> Secondly, Linguasphere appears to have more higher-level 
> branching than
> is currently reflected in the draft table for 639-5. Specifically, it
> often treats as a level-2 node something that in the analysis used for
> 639-5 is a level-3 node and as a result not included in the current
> draft for 639-5. The result of this is that Linguasphere has several
> level-2 nodes not found in the current draft of 639-5, and vice versa.
> 
> (Some notes: I believe the current draft for 639-5 was based 
> largely on
> Ethnologue, which itself is based on the Oxford International
> Encyclopaedia of Linguistics and Tyron's Comparitive Austronesian
> Dictionary. The number of layers included in the current 
> draft of 639-5
> for a given family or phylum varies from two to four; I'm not sure on
> what basis the editor for 639-5 decided how many layers to include,
> though it appears to be partly related to the size of the phylum:
> Austronesian, with >1200 languages, gets IDs for four layers while
> Afroasiatic, with < 400 languages, gets IDs for two layers. My
> understanding is that Linguasphere's analysis, to the extent that it
> differs from the above sources, is novel.) 
> 
> Of Linguasphere's five "phylosectors", Indo-European gets the best
> interop with the current draft for 639-5. The other four 
> don't fair all
> that well. This results from Linguasphere's unique analysis, which
> appears to be driven largely by the insistence of fitting everything
> into its five-layer model for upper levels of hierarchy and of having
> ten top layers each with ten level-2 groupings.
> 
> As for Linguasphere's five "geosectors", the story is largely 
> the same.
> The draft for 639-5 has inherited "North American Indian 
> languages" and
> "South American Indian Languages" from 639-2, which match three of
> Linguasphere's geosectors. The level-2 nodes for NAI align somewhat,
> with a couple of issues. First, you must see past Linguasphere's
> insistence on geographic designators where familiar genetic 
> terms exist:
> "Saint Lawrence" instead of Iroquioan, "Mississippi" instead 
> of Siouan.
> The bigger issue is Linguasphere's insistence on ten level-2 nodes in
> each sector, forcing level-2 nodes that combining distinct families
> while in some cases splitting others. So, for instance, 
> instead of nodes
> for Salishan and Penutian, it has a "Farwest" geozone; and the Hokan
> family appears to largely match L's "Desert" geozone, though 
> there are a
> couple of Hokan outliers down in Oaxaca that appear to be 
> somewhere else
> in L. (I'm not sure where, though: one of L's problems is 
> that it can be
> really hard to find things since there's no index by name or 
> by country,
> and the hierarchies don't correspond with familiar analyses.)
> 
> The draft table for 639-5 has no category corresponding to 
> L's top-level
> "Eurasia" geosector, but some of L's geozones in that sector 
> align with
> 639-5 entries: Uralic, Causasus, Dravidic. The other level-2 nodes are
> more of these geographic groupings artificially created to 
> result in ten
> zones within each sector. You won't find "Siberia" in 639-5, neither
> will you find a node for Altaic in Linguasphere.
> 
> The story for L's "Africa" and "South America" geozones appear to be
> similar to that for "North America" and "Eurasia"; "Australia" looks
> like it would be less hopeful (but I haven't looked at it in detail).
> 
> 
> So, all in all, the best I think can be said regarding 
> interoperability
> between 639-5 and Linguasphere is that the are somewhat 
> interoperable. I
> don't think it really can be said that they are highly interoperable.
> 
> 
> 
> Peter Constable
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru
> 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru